QuorumPeer.SyncMode (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum

## Enum QuorumPeer.SyncMode

- java.lang.Object
- - java.lang.Enum<QuorumPeer.SyncMode>
  - - org.apache.zookeeper.server.quorum.QuorumPeer.SyncMode

- All Implemented Interfaces:
    Serializable, Comparable<QuorumPeer.SyncMode>
  Enclosing class:
    QuorumPeer

      public static enum QuorumPeer.SyncMode
      extends Enum<QuorumPeer.SyncMode>

  (Used for monitoring) When peer is in synchronization phase, this shows which synchronization mechanism is being used

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIFF`
    `NONE`
    `SNAP`
    `TRUNC`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QuorumPeer.SyncMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QuorumPeer.SyncMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final QuorumPeer.SyncMode NONE

    - #### DIFF

          public static final QuorumPeer.SyncMode DIFF

    - #### SNAP

          public static final QuorumPeer.SyncMode SNAP

    - #### TRUNC

          public static final QuorumPeer.SyncMode TRUNC

  - ### Method Detail

    - #### values

          public static QuorumPeer.SyncMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QuorumPeer.SyncMode c : QuorumPeer.SyncMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QuorumPeer.SyncMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.